> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Points Product

> This endpoint exchanges the user's points for the specified points product

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField path="id" type="string" required>
  The points product ID
</ParamField>

### Response

<Snippet file="entities/reward.mdx" />

<RequestExample>
  ```bash Exchange Point Products theme={null}
  curl https://api.thanxsandbox.com/points_products/:id/rewards \
    -X POST \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "reward": {
      "id": "222441e34626",
      "olo_uid": "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn",
      "user_id": "werofsdf",
      "merchant_id": "weroif",
      "campaign_id": "85133c3c1258",
      "state": "available",
      "earn": {
        "type": "points_exchange",
        "text": "description"
      },
      "redeem": {
        "type": "manual",
        "text": "Garlic fries",
        "window": 60,
        "venue": "all"
      },
      "coupon_code": {
        "code": null,
        "type": null,
        "display": null
      },
      "fine_print": "Can't be used for alcohol purchases",
      "instructions": "Example staff instructions",
      "available_at": "2019-12-25T19:00:00Z",
      "activated_at": "2020-01-01T20:00:00Z",
      "retire_at": null,
      "used_at": null,
      "images": {
        "index": {
          "small": "https://...png",
          "large": "https://...png"
        },
        "detail": {
          "small": "https://...png",
          "large": "https://...png"
        },
        "advertising": {
          "small": "https://...png",
          "large": "https://...png"
        }
      },
      "uses_dynamic_coupon_codes": false
    }
  }
  ```
</ResponseExample>
